<?php
/**
 *  Catering Services: Block Patterns
 *
 * @package  Catering Services
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'catering-services',
		array( 'label' => __( 'Catering Services', 'catering-services' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'catering-services/banner-section',
		array(
			'title'      => __( 'Banner Section', 'catering-services' ),
			'categories' => array( 'catering-services' ),
			'content'    => "<!-- wp:cover {\"url\":\"". esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/slider.png\",\"id\":93,\"dimRatio\":50,\"focalPoint\":{\"x\":0.5,\"y\":0.5},\"minHeight\":550,\"align\":\"full\",\"className\":\"catering-services-banner-section \"} -->\n<div class=\"wp-block-cover alignfull catering-services-banner-section\" style=\"min-height:550px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-93\" alt=\"\" src=\"".esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/slider.png\" style=\"object-position:50% 50%\" data-object-fit=\"cover\" data-object-position=\"50% 50%\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"isStackedOnMobile\":false,\"className\":\"banner-section\"} -->\n<div class=\"wp-block-columns is-not-stacked-on-mobile banner-section\"><!-- wp:column {\"className\":\"banner-section-column1  \"} -->\n<div class=\"wp-block-column banner-section-column1\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\",\"fontSize\":\"60px\"}},\"textColor\":\"white\",\"className\":\"banner-section-heading\"} -->\n<h1 class=\"banner-section-heading has-white-color has-text-color\" style=\"font-size:60px;font-style:normal;font-weight:700;text-transform:uppercase\">best catering</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"23px\"}},\"textColor\":\"white\",\"className\":\"banner-section-text\"} -->\n<p class=\"banner-section-text has-white-color has-text-color\" style=\"font-size:23px\">welcome to the catering services</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"border\":{\"radius\":\"30px\"},\"typography\":{\"fontSize\":\"18px\",\"textTransform\":\"capitalize\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"className\":\"banner-section-buttton is-style-fill\"} -->\n<div class=\"wp-block-button has-custom-font-size banner-section-buttton is-style-fill\" style=\"font-size:18px;font-style:normal;font-weight:700;text-transform:capitalize\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"border-radius:30px\">Read More</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"banner-section-column2\"} -->\n<div class=\"wp-block-column banner-section-column2\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'catering-services/product-section',
		array(
			'title'      => __( 'Product Section', 'catering-services'),
			'categories' => array( 'catering-services' ),
			'content'    => "<!-- wp:group {\"className\":\"catering-services-product-section\",\"layout\":{\"type\":\"constrained\"}} -->\n<div class=\"wp-block-group catering-services-product-section\"><!-- wp:columns {\"className\":\"product-section\"} -->\n<div class=\"wp-block-columns product-section\"><!-- wp:column {\"width\":\"33.33%\",\"className\":\"product-section-column1\"} -->\n<div class=\"wp-block-column product-section-column1\" style=\"flex-basis:33.33%\"><!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/product-page.png\",\"id\":132,\"dimRatio\":50,\"className\":\"column1-cover\"} -->\n<div class=\"wp-block-cover column1-cover\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-132\" alt=\"\" src=\"".esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/product-page.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"45px\",\"textTransform\":\"uppercase\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}},\"textColor\":\"white\",\"className\":\"column1-heading\"} -->\n<h2 class=\"column1-heading has-white-color has-text-color\" style=\"font-size:45px;font-style:normal;font-weight:700;text-transform:uppercase\">Our popular dishes</h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"className\":\"column1-text\"} -->\n<p class=\"column1-text\" style=\"font-size:18px\">It is a long established fact that a reader will be distracted by the readable content of a page when</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"className\":\"column1-button\"} -->\n<div class=\"wp-block-buttons column1-button\"><!-- wp:button {\"textColor\":\"white\",\"style\":{\"border\":{\"radius\":\"30px\"},\"typography\":{\"fontSize\":\"18px\",\"textTransform\":\"capitalize\",\"fontStyle\":\"normal\",\"fontWeight\":\"700\"}}} -->\n<div class=\"wp-block-button has-custom-font-size\" style=\"font-size:18px;font-style:normal;font-weight:700;text-transform:capitalize\"><a class=\"wp-block-button__link has-white-color has-text-color wp-element-button\" style=\"border-radius:30px\">view all dishes</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\",\"className\":\"product-section-column2\"} -->\n<div class=\"wp-block-column product-section-column2\" style=\"flex-basis:66.66%\"><!-- wp:woocommerce/product-category {\"columns\":2,\"categories\":[17],\"className\":\"product-section-product\"} /--></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}
